> ## Documentation Index
> Fetch the complete documentation index at: https://paypal-sb-staging.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Reauthorize authorized payment

> Reauthorizes an authorized PayPal account payment, by ID. To ensure that funds are still available, reauthorize a payment after its initial three-day honor period expires. Within the 29-day authorization period, you can issue multiple re-authorizations after the honor period expires.<br/><br/>If 30 days have transpired since the date of the original authorization, you must create an authorized payment instead of reauthorizing the original authorized payment.<br/><br/>A reauthorized payment itself has a new honor period of three days.<br/><br/>You can reauthorize an authorized payment from 4 to 29 days after the 3-day honor period. The allowed amount depends on context and geography, for example in US it is up to 115% of the original authorized amount, not to exceed an increase of $75 USD.<br/><br/>Supports only the `amount` request parameter.



## OpenAPI

````yaml api-reference/payments_payment_v2.json post /v2/payments/authorizations/{authorization_id}/reauthorize
openapi: 3.0.3
info:
  title: Payments
  description: >-
    Call the Payments API to authorize payments, capture authorized payments,
    refund payments that have already been captured, and show payment
    information. Use the Payments API in conjunction with the <a
    href="/docs/api/orders/v2/">Orders API</a>. For more information, see the <a
    href="/docs/checkout/">PayPal Checkout Overview</a>.
  version: '2.9'
  contact: {}
servers:
  - url: https://api-m.sandbox.paypal.com
    description: PayPal Sandbox Environment
  - url: https://api-m.paypal.com
    description: PayPal Live Environment
security: []
tags:
  - name: authorizations
    description: >-
      Use the `/authorizations` resource to show details for, capture payment
      for, reauthorize, and void authorized payments.
  - name: captures
    description: >-
      Use the `/captures` resource to show details for and refund a captured
      payment.
  - name: refunds
    description: Use the `/refunds` resource to show refund details.
  - name: assets
    description: Assets APIs for Checkout
  - name: cancel-payment
    description: >-
      Use the <code>/cancel-payment</code> resource to cancel an order capture
      or order authorization by <code>PayPal-Request-Id</code>. The merchant
      triggers the cancel action.
  - name: find-eligible-methods
    description: >-
      Use the `/find-eligible-methods` resource to show list of eligible payment
      methods for given customer/order context.
  - name: payment-resource-operations
    description: >-
      Use the `/payment-resource-operations` resource to show verifications
      details.
  - name: find-bin-details
    description: >-
      Use the `/find-bin-details` resource to determine PayPal supported
      networks and retrieve BIN details for given card and payee.
externalDocs:
  url: https://developer.paypal.com/docs/api/payments/v2/
paths:
  /v2/payments/authorizations/{authorization_id}/reauthorize:
    post:
      tags:
        - authorizations
      summary: Reauthorize authorized payment
      description: >-
        Reauthorizes an authorized PayPal account payment, by ID. To ensure that
        funds are still available, reauthorize a payment after its initial
        three-day honor period expires. Within the 29-day authorization period,
        you can issue multiple re-authorizations after the honor period
        expires.<br/><br/>If 30 days have transpired since the date of the
        original authorization, you must create an authorized payment instead of
        reauthorizing the original authorized payment.<br/><br/>A reauthorized
        payment itself has a new honor period of three days.<br/><br/>You can
        reauthorize an authorized payment from 4 to 29 days after the 3-day
        honor period. The allowed amount depends on context and geography, for
        example in US it is up to 115% of the original authorized amount, not to
        exceed an increase of $75 USD.<br/><br/>Supports only the `amount`
        request parameter.
      operationId: authorizations.reauthorize
      parameters:
        - $ref: '#/components/parameters/authorization_id'
        - $ref: '#/components/parameters/paypal_request_id'
        - $ref: '#/components/parameters/prefer'
        - $ref: '#/components/parameters/paypal_auth_assertion'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/reauthorize_request'
            examples:
              reauthorize_request:
                value:
                  amount:
                    value: '10.99'
                    currency_code: USD
      responses:
        '200':
          description: >-
            A successful request returns the HTTP <code>200 OK</code> status
            code and a JSON response body that shows the reauthorized payment
            details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/authorization-2'
        '201':
          description: >-
            A successful request returns the HTTP <code>201 Created</code>
            status code and a JSON response body that shows the reauthorized
            payment details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/authorization-2'
        '400':
          description: >-
            The request failed because it is not well-formed or is syntactically
            incorrect or violates schema.
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/error_400'
                  - $ref: '#/components/schemas/authorizations.reauthorize-400'
        '401':
          description: >-
            Authentication failed due to missing authorization header, or
            invalid authentication credentials.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error_401'
        '403':
          description: The request failed because the caller has insufficient permissions.
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/error_403'
                  - $ref: '#/components/schemas/403'
        '404':
          description: The request failed because the resource does not exist.
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/error_404'
                  - $ref: '#/components/schemas/404'
        '422':
          description: >-
            The request failed because it either is semantically incorrect or
            failed business validation.
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/error_422'
                  - $ref: '#/components/schemas/authorizations.reauthorize-422'
        '500':
          description: The request failed because an internal server error occurred.
        default:
          $ref: '#/components/responses/default'
      security:
        - Oauth2:
            - https://uri.paypal.com/services/payments/payment/authcapture
components:
  parameters:
    authorization_id:
      name: authorization_id
      in: path
      description: The PayPal-generated ID for the authorized payment to void.
      required: true
      schema:
        type: string
    paypal_request_id:
      name: PayPal-Request-Id
      in: header
      description: The server stores keys for 45 days.
      required: false
      schema:
        type: string
    prefer:
      name: Prefer
      in: header
      description: >-
        The preferred server response upon successful completion of the request.
        Value is:<ul><li><code>return=minimal</code>. The server returns a
        minimal response to optimize communication between the API caller and
        the server. A minimal response includes the <code>id</code>,
        <code>status</code> and HATEOAS
        links.</li><li><code>return=representation</code>. The server returns a
        complete resource representation, including the current state of the
        resource.</li></ul>
      required: false
      schema:
        type: string
        default: return=minimal
    paypal_auth_assertion:
      name: PayPal-Auth-Assertion
      in: header
      description: >-
        An API-caller-provided JSON Web Token (JWT) assertion that identifies
        the merchant. For details, see
        [PayPal-Auth-Assertion](/docs/api/reference/api-requests/#paypal-auth-assertion).<blockquote><strong>Note:</strong>For
        three party transactions in which a partner is managing the API calls on
        behalf of a merchant, the partner must identify the merchant using
        either a PayPal-Auth-Assertion header or an access token with
        target_subject.</blockquote>
      required: false
      schema:
        type: string
  schemas:
    '403':
      properties:
        details:
          type: array
          items:
            anyOf:
              - title: PERMISSION_DENIED
                properties:
                  issue:
                    type: string
                    enum:
                      - PERMISSION_DENIED
                  description:
                    type: string
                    enum:
                      - >-
                        You do not have permission to access or perform
                        operations on this resource.
    '404':
      properties:
        details:
          type: array
          items:
            anyOf:
              - title: INVALID_RESOURCE_ID
                properties:
                  issue:
                    type: string
                    enum:
                      - INVALID_RESOURCE_ID
                  description:
                    type: string
                    enum:
                      - >-
                        Specified resource ID does not exist. Please check the
                        resource ID and try again.
    reauthorize_request:
      title: Reauthorize Request
      type: object
      description: >-
        Reauthorizes an authorized PayPal account payment, by ID. To ensure that
        funds are still available, reauthorize a payment after its initial
        three-day honor period expires. You can reauthorize a payment only once
        from days four to 29.<br/><br/>If 30 days have transpired since the date
        of the original authorization, you must create an authorized payment
        instead of reauthorizing the original authorized payment.<br/><br/>A
        reauthorized payment itself has a new honor period of three
        days.<br/><br/>You can reauthorize an authorized payment once. The
        allowed amount depends on context and geography, for example in US it is
        up to 115% of the original authorized amount, not to exceed an increase
        of $75 USD.<br/><br/>Supports only the `amount` request parameter.
      properties:
        amount:
          $ref: '#/components/schemas/money'
          description: The amount to reauthorize for an authorized payment.
    authorization-2:
      type: object
      title: Authorization
      description: The authorized payment transaction.
      allOf:
        - $ref: '#/components/schemas/authorization'
        - properties:
            supplementary_data:
              $ref: '#/components/schemas/supplementary_data'
              description: >-
                An object that provides supplementary/additional data related to
                a payment transaction.
              readOnly: true
            payee:
              $ref: '#/components/schemas/payee_base'
              description: The details associated with the merchant for this transaction.
              readOnly: true
    error_400:
      type: object
      title: Bad Request Error
      description: Request is not well-formed, syntactically incorrect, or violates schema.
      properties:
        name:
          type: string
          enum:
            - INVALID_REQUEST
        message:
          type: string
          enum:
            - >-
              Request is not well-formed, syntactically incorrect, or violates
              schema.
        details:
          type: array
          items:
            $ref: '#/components/schemas/error_details'
        debug_id:
          type: string
          description: The PayPal internal ID. Used for correlation purposes.
        links:
          description: >-
            An array of request-related [HATEOAS
            links](https://en.wikipedia.org/wiki/HATEOAS).
          type: array
          minItems: 0
          maxItems: 10000
          items:
            $ref: '#/components/schemas/error_link_description'
    authorizations.reauthorize-400:
      properties:
        details:
          type: array
          items:
            anyOf:
              - title: MISSING_REQUIRED_PARAMETER
                properties:
                  issue:
                    type: string
                    enum:
                      - MISSING_REQUIRED_PARAMETER
                  description:
                    type: string
                    enum:
                      - A required field / parameter is missing.
              - title: INVALID_STRING_LENGTH
                properties:
                  issue:
                    type: string
                    enum:
                      - INVALID_STRING_LENGTH
                  description:
                    type: string
                    enum:
                      - The value of a field is either too short or too long.
              - title: INVALID_STRING_MAX_LENGTH
                properties:
                  issue:
                    type: string
                    enum:
                      - INVALID_STRING_MAX_LENGTH
                  description:
                    type: string
                    enum:
                      - The value of a field is too long.
              - title: INVALID_PARAMETER_SYNTAX
                properties:
                  issue:
                    type: string
                    enum:
                      - INVALID_PARAMETER_SYNTAX
                  description:
                    type: string
                    enum:
                      - >-
                        The value of a field does not conform to the expected
                        format.
    error_401:
      type: object
      title: Unauthorized Error
      description: >-
        Authentication failed due to missing Authorization header, or invalid
        authentication credentials.
      properties:
        name:
          type: string
          enum:
            - AUTHENTICATION_FAILURE
        message:
          type: string
          enum:
            - >-
              Authentication failed due to missing authorization header, or
              invalid authentication credentials.
        details:
          type: array
          items:
            $ref: '#/components/schemas/error_details'
        debug_id:
          type: string
          description: The PayPal internal ID. Used for correlation purposes.
        links:
          description: >-
            An array of request-related [HATEOAS
            links](https://en.wikipedia.org/wiki/HATEOAS).
          type: array
          minItems: 0
          maxItems: 10000
          items:
            $ref: '#/components/schemas/error_link_description'
    error_403:
      type: object
      title: Not Authorized Error
      description: >-
        The client is not authorized to access this resource, although it may
        have valid credentials. 
      properties:
        name:
          type: string
          enum:
            - NOT_AUTHORIZED
        message:
          type: string
          enum:
            - Authorization failed due to insufficient permissions.
        details:
          type: array
          items:
            $ref: '#/components/schemas/error_details'
        debug_id:
          type: string
          description: The PayPal internal ID. Used for correlation purposes.
        links:
          description: >-
            An array of request-related [HATEOAS
            links](https://en.wikipedia.org/wiki/HATEOAS).
          type: array
          minItems: 0
          maxItems: 10000
          items:
            $ref: '#/components/schemas/error_link_description'
    error_404:
      type: object
      title: Not found Error
      description: >-
        The server has not found anything matching the request URI. This either
        means that the URI is incorrect or the resource is not available.
      properties:
        name:
          type: string
          enum:
            - RESOURCE_NOT_FOUND
        message:
          type: string
          enum:
            - The specified resource does not exist.
        details:
          type: array
          items:
            $ref: '#/components/schemas/error_details'
        debug_id:
          type: string
          description: The PayPal internal ID. Used for correlation purposes.
        links:
          description: >-
            An array of request-related [HATEOAS
            links](https://en.wikipedia.org/wiki/HATEOAS).
          type: array
          minItems: 0
          maxItems: 10000
          items:
            $ref: '#/components/schemas/error_link_description'
    error_422:
      type: object
      title: Unprocessable Entity Error
      description: >-
        The requested action cannot be performed and may require interaction
        with APIs or processes outside of the current request. This is distinct
        from a 500 response in that there are no systemic problems limiting the
        API from performing the request.
      properties:
        name:
          type: string
          enum:
            - UNPROCESSABLE_ENTITY
        message:
          type: string
          enum:
            - >-
              The requested action could not be performed, semantically
              incorrect, or failed business validation.
        details:
          type: array
          items:
            $ref: '#/components/schemas/error_details'
        debug_id:
          type: string
          description: The PayPal internal ID. Used for correlation purposes.
        links:
          description: >-
            An array of request-related [HATEOAS
            links](https://en.wikipedia.org/wiki/HATEOAS).
          type: array
          minItems: 0
          maxItems: 10000
          items:
            $ref: '#/components/schemas/error_link_description'
    authorizations.reauthorize-422:
      properties:
        details:
          type: array
          items:
            anyOf:
              - title: INVALID_CURRENCY_CODE
                properties:
                  issue:
                    type: string
                    enum:
                      - INVALID_CURRENCY_CODE
                  description:
                    type: string
                    enum:
                      - >-
                        Currency code is invalid or is not currently supported.
                        Please refer
                        https://developer.paypal.com/docs/api/reference/currency-codes/
                        for list of supported currency codes.
              - title: CANNOT_BE_ZERO_OR_NEGATIVE
                properties:
                  issue:
                    type: string
                    enum:
                      - CANNOT_BE_ZERO_OR_NEGATIVE
                  description:
                    type: string
                    enum:
                      - >-
                        Must be greater than zero. If the currency supports
                        decimals, only two decimal place precision is supported.
              - title: DECIMAL_PRECISION
                properties:
                  issue:
                    type: string
                    enum:
                      - DECIMAL_PRECISION
                  description:
                    type: string
                    enum:
                      - >-
                        If the currency supports decimals, only two decimal
                        place precision is supported.
              - title: DECIMALS_NOT_SUPPORTED
                properties:
                  issue:
                    type: string
                    enum:
                      - DECIMALS_NOT_SUPPORTED
                  description:
                    type: string
                    enum:
                      - >-
                        Currency does not support decimals. Please refer to
                        https://developer.paypal.com/docs/api/reference/currency-codes/
                        for more information.
              - title: TRANSACTION_REFUSED
                properties:
                  issue:
                    type: string
                    enum:
                      - TRANSACTION_REFUSED
                  description:
                    type: string
                    enum:
                      - >-
                        PayPal's internal controls prevent authorization from
                        being captured.
              - title: AUTHORIZATION_VOIDED
                properties:
                  issue:
                    type: string
                    enum:
                      - AUTHORIZATION_VOIDED
                  description:
                    type: string
                    enum:
                      - >-
                        A voided authorization cannot be captured or
                        reauthorized. 
              - title: PAYER_CANNOT_PAY
                properties:
                  issue:
                    type: string
                    enum:
                      - PAYER_CANNOT_PAY
                  description:
                    type: string
                    enum:
                      - >-
                        Payer cannot pay for this transaction. Please contact
                        the payer to find other ways to pay for this
                        transaction.
              - title: AUTHORIZATION_ALREADY_CAPTURED
                properties:
                  issue:
                    type: string
                    enum:
                      - AUTHORIZATION_ALREADY_CAPTURED
                  description:
                    type: string
                    enum:
                      - Authorization has previously been captured.
              - title: PAYEE_ACCOUNT_LOCKED_OR_CLOSED
                properties:
                  issue:
                    type: string
                    enum:
                      - PAYEE_ACCOUNT_LOCKED_OR_CLOSED
                  description:
                    type: string
                    enum:
                      - >-
                        Transaction could not complete because payee account is
                        locked or closed.
              - title: PAYER_ACCOUNT_LOCKED_OR_CLOSED
                properties:
                  issue:
                    type: string
                    enum:
                      - PAYER_ACCOUNT_LOCKED_OR_CLOSED
                  description:
                    type: string
                    enum:
                      - The payer account cannot be used for this transaction.
              - title: PAYEE_ACCOUNT_RESTRICTED
                properties:
                  issue:
                    type: string
                    enum:
                      - PAYEE_ACCOUNT_RESTRICTED
                  description:
                    type: string
                    enum:
                      - Payee account is restricted.
              - title: REAUTHORIZATION_NOT_SUPPORTED
                properties:
                  issue:
                    type: string
                    enum:
                      - REAUTHORIZATION_NOT_SUPPORTED
                  description:
                    type: string
                    enum:
                      - >-
                        A reauthorize cannot be attempted on an authorization_id
                        that is the result of a prior reauthorization or on an
                        authorization made on an Order saved using the
                        `v2/orders/id/save` API.
              - title: AUTH_CURRENCY_MISMATCH
                properties:
                  issue:
                    type: string
                    enum:
                      - AUTH_CURRENCY_MISMATCH
                  description:
                    type: string
                    enum:
                      - >-
                        The currency specified during reauthorization should be
                        the same as the currency specified in the original
                        authorization. Please check the currency of the
                        authorization for which you are trying to reauthorize
                        and try again.
              - title: AUTHORIZATION_AMOUNT_EXCEEDED
                properties:
                  issue:
                    type: string
                    enum:
                      - AUTHORIZATION_AMOUNT_EXCEEDED
                  description:
                    type: string
                    enum:
                      - >-
                        Authorization amount specified exceeded allowable limit.
                        Specify a different amount and try the request again.
                        Alternately, contact Customer Support to increase your
                        limits. Local regulations (e.g. in PSD2 countries)
                        prohibit overages above the amount authorized by the
                        payer.
              - title: REAUTHORIZATION_TOO_SOON
                properties:
                  issue:
                    type: string
                    enum:
                      - REAUTHORIZATION_TOO_SOON
                  description:
                    type: string
                    enum:
                      - >-
                        A reauthorization is only allowed once from Day 4 to Day
                        29 since the date of the original authorization.
              - title: REAUTHORIZATION_DECLINED_BY_PROCESSOR
                properties:
                  issue:
                    type: string
                    enum:
                      - REAUTHORIZATION_DECLINED_BY_PROCESSOR
                  description:
                    type: string
                    enum:
                      - The reauthorization was declined by the processor.
              - title: REAUTHORIZATION_NOT_SUPPORTED_FOR_PAYMENT_SOURCE
                properties:
                  issue:
                    type: string
                    enum:
                      - REAUTHORIZATION_NOT_SUPPORTED_FOR_PAYMENT_SOURCE
                  description:
                    type: string
                    enum:
                      - Reauthorization is not supported for the payment source.
    money:
      type: object
      title: Money
      description: >-
        The currency and amount for a financial transaction, such as a balance
        or payment due.
      properties:
        currency_code:
          $ref: '#/components/schemas/currency_code'
        value:
          type: string
          description: >-
            The value, which might be:<ul><li>An integer for currencies like
            `JPY` that are not typically fractional.</li><li>A decimal fraction
            for currencies like `TND` that are subdivided into
            thousandths.</li></ul>For the required number of decimal places for
            a currency code, see [Currency
            Codes](/api/rest/reference/currency-codes/).
          maxLength: 32
          pattern: ^((-?[0-9]+)|(-?([0-9]+)?[.][0-9]+))$
      required:
        - currency_code
        - value
    authorization:
      type: object
      title: Authorization
      description: The authorized payment transaction.
      allOf:
        - $ref: '#/components/schemas/authorization_status'
        - properties:
            id:
              description: The PayPal-generated ID for the authorized payment.
              type: string
              readOnly: true
            amount:
              $ref: '#/components/schemas/money'
              description: The amount for this authorized payment.
              readOnly: true
            invoice_id:
              description: >-
                The API caller-provided external invoice number for this order.
                Appears in both the payer's transaction history and the emails
                that the payer receives.
              type: string
              readOnly: true
            custom_id:
              type: string
              description: >-
                The API caller-provided external ID. Used to reconcile API
                caller-initiated transactions with PayPal transactions. Appears
                in transaction and settlement reports.
              maxLength: 255
            network_transaction_reference:
              $ref: '#/components/schemas/network_transaction'
            seller_protection:
              $ref: '#/components/schemas/seller_protection'
              readOnly: true
            expiration_time:
              $ref: '#/components/schemas/date_time'
              description: >-
                The date and time when the authorized payment expires, in
                [Internet date and time
                format](https://tools.ietf.org/html/rfc3339#section-5.6).
              readOnly: true
            links:
              $ref: '#/components/schemas/link_description_list'
        - $ref: '#/components/schemas/activity_timestamps'
    supplementary_data:
      title: Payment Supplementary Data
      type: object
      description: The supplementary data.
      properties:
        related_ids:
          $ref: '#/components/schemas/related_ids'
          description: Identifiers related to a specific resource.
          readOnly: true
    payee_base:
      type: object
      title: Payee Base
      description: >-
        The details for the merchant who receives the funds and fulfills the
        order. The merchant is also known as the payee.
      properties:
        email_address:
          $ref: '#/components/schemas/email'
          description: The email address of merchant.
        merchant_id:
          $ref: '#/components/schemas/account_id'
          description: The encrypted PayPal account ID of the merchant.
    error_details:
      title: Error Details
      type: object
      description: The error details. Required for client-side `4XX` errors.
      properties:
        field:
          type: string
          description: >-
            The field that caused the error. If this field is in the body, set
            this value to the field's JSON pointer value. Required for
            client-side errors.
        value:
          type: string
          description: The value of the field that caused the error.
        location:
          $ref: '#/components/schemas/error_location'
        issue:
          type: string
          description: The unique, fine-grained application-level error code.
        description:
          type: string
          description: >-
            The human-readable description for an issue. The description can
            change over the lifetime of an API, so clients must not depend on
            this value.
      required:
        - issue
    error_link_description:
      title: Link Description
      description: >-
        The request-related [HATEOAS link](/api/rest/responses/#hateoas-links)
        information.
      type: object
      required:
        - href
        - rel
      properties:
        href:
          description: >-
            The complete target URL. To make the related call, combine the
            method with this [URI
            Template-formatted](https://tools.ietf.org/html/rfc6570) link. For
            pre-processing, include the `$`, `(`, and `)` characters. The `href`
            is the key HATEOAS component that links a completed call with a
            subsequent call.
          type: string
          minLength: 0
          maxLength: 20000
          pattern: ^.*$
        rel:
          description: >-
            The [link relation
            type](https://tools.ietf.org/html/rfc5988#section-4), which serves
            as an ID for a link that unambiguously describes the semantics of
            the link. See [Link
            Relations](https://www.iana.org/assignments/link-relations/link-relations.xhtml).
          type: string
          minLength: 0
          maxLength: 100
          pattern: ^.*$
        method:
          description: The HTTP method required to make the related call.
          type: string
          minLength: 3
          maxLength: 6
          pattern: ^[A-Z]*$
          enum:
            - GET
            - POST
            - PUT
            - DELETE
            - PATCH
    error_default:
      description: The default error response.
      oneOf:
        - $ref: '#/components/schemas/error_400'
        - $ref: '#/components/schemas/error_401'
        - $ref: '#/components/schemas/error_403'
        - $ref: '#/components/schemas/error_404'
        - $ref: '#/components/schemas/error_409'
        - $ref: '#/components/schemas/error_415'
        - $ref: '#/components/schemas/error_422'
        - $ref: '#/components/schemas/error_429'
        - $ref: '#/components/schemas/error_500'
        - $ref: '#/components/schemas/error_503'
    currency_code:
      description: >-
        The [three-character ISO-4217 currency
        code](/api/rest/reference/currency-codes/) that identifies the currency.
      type: string
      minLength: 3
      maxLength: 3
      x-security-classification:
        data_class: class4
        data_category: INTRINSIC
    authorization_status:
      type: object
      title: Authorization Status With Details
      description: The status fields and status details for an authorized payment.
      properties:
        status:
          title: Authorization Status
          description: The status for the authorized payment.
          type: string
          readOnly: true
          x-enumDescriptions:
            - value: CREATED
              description: >-
                The authorized payment is created. No captured payments have
                been made for this authorized payment.
            - value: CAPTURED
              description: >-
                The authorized payment has one or more captures against it. The
                sum of these captured payments is greater than the amount of the
                original authorized payment.
            - value: DENIED
              description: PayPal cannot authorize funds for this authorized payment.
            - value: PARTIALLY_CAPTURED
              description: >-
                A captured payment was made for the authorized payment for an
                amount that is less than the amount of the original authorized
                payment.
            - value: VOIDED
              description: >-
                The authorized payment was voided. No more captured payments can
                be made against this authorized payment.
            - value: PENDING
              description: >-
                The created authorization is in pending state. For more
                information, see <code>status.details</code>.
          enum:
            - CREATED
            - CAPTURED
            - DENIED
            - PARTIALLY_CAPTURED
            - VOIDED
            - PENDING
        status_details:
          $ref: '#/components/schemas/authorization_status_details'
          description: The details of the authorized order pending status.
          readOnly: true
    network_transaction:
      type: object
      title: Network Transaction
      description: Reference values used by the card network to identify a transaction.
      properties:
        id:
          type: string
          minLength: 9
          maxLength: 36
          pattern: ^[a-zA-Z0-9-_@.:&+=*^'~#!$%()]+$
          description: >-
            Transaction reference id returned by the scheme. For Visa and Amex,
            this is the "Tran id" field in response. For MasterCard, this is the
            "BankNet reference id" field in response. For Discover, this is the
            "NRID" field in response. The pattern we expect for this field from
            Visa/Amex/CB/Discover is numeric, Mastercard/BNPP is alphanumeric
            and Paysecure is alphanumeric with special character -.
        date:
          type: string
          minLength: 4
          maxLength: 4
          pattern: ^[0-9]+$
          description: >-
            The date that the transaction was authorized by the scheme. This
            field may not be returned for all networks. MasterCard refers to
            this field as "BankNet reference date.
        network:
          $ref: '#/components/schemas/card_brand'
          description: Name of the card network through which the transaction was routed.
        acquirer_reference_number:
          type: string
          description: >-
            Reference ID issued for the card transaction. This ID can be used to
            track the transaction across processors, card brands and issuing
            banks.
          minLength: 1
          maxLength: 36
          pattern: ^[a-zA-Z0-9]+$
    seller_protection:
      type: object
      description: >-
        The level of protection offered as defined by [PayPal Seller Protection
        for
        Merchants](https://www.paypal.com/us/webapps/mpp/security/seller-protection).
      title: Seller Protection
      properties:
        status:
          title: Seller Protection Status
          type: string
          description: >-
            Indicates whether the transaction is eligible for seller protection.
            For information, see [PayPal Seller Protection for
            Merchants](https://www.paypal.com/us/webapps/mpp/security/seller-protection).
          x-enumDescriptions:
            - value: ELIGIBLE
              description: >-
                Your PayPal balance remains intact if the customer claims that
                they did not receive an item or the account holder claims that
                they did not authorize the payment.
            - value: PARTIALLY_ELIGIBLE
              description: >-
                Your PayPal balance remains intact if the customer claims that
                they did not receive an item.
            - value: NOT_ELIGIBLE
              description: This transaction is not eligible for seller protection.
          readOnly: true
          enum:
            - ELIGIBLE
            - PARTIALLY_ELIGIBLE
            - NOT_ELIGIBLE
        dispute_categories:
          $ref: '#/components/schemas/dispute_categories_list'
    date_time:
      type: string
      description: >-
        The date and time, in [Internet date and time
        format](https://tools.ietf.org/html/rfc3339#section-5.6). Seconds are
        required while fractional seconds are
        optional.<blockquote><strong>Note:</strong> The regular expression
        provides guidance but does not reject all invalid dates.</blockquote>
      format: ppaas_date_time_v3
      minLength: 20
      maxLength: 64
      pattern: >-
        ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])[T,t]([0-1][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)([.][0-9]+)?([Zz]|[+-][0-9]{2}:[0-9]{2})$
    link_description_list:
      description: >-
        An array of related [HATEOAS
        links](/docs/api/reference/api-responses/#hateoas-links).
      type: array
      readOnly: true
      items:
        $ref: '#/components/schemas/link_description'
    activity_timestamps:
      type: object
      description: >-
        The date and time stamps that are common to authorized payment, captured
        payment, and refund transactions.
      title: Transaction Date and Time Stamps
      properties:
        create_time:
          $ref: '#/components/schemas/date_time'
          description: >-
            The date and time when the transaction occurred, in [Internet date
            and time format](https://tools.ietf.org/html/rfc3339#section-5.6).
          readOnly: true
        update_time:
          $ref: '#/components/schemas/date_time'
          description: >-
            The date and time when the transaction was last updated, in
            [Internet date and time
            format](https://tools.ietf.org/html/rfc3339#section-5.6).
          readOnly: true
    related_ids:
      type: object
      title: Related Identifiers
      description: Identifiers related to a specific resource.
      properties:
        order_id:
          type: string
          description: Order ID related to the resource.
          minLength: 1
          maxLength: 20
          pattern: ^[A-Z0-9]+$
        authorization_id:
          type: string
          description: Authorization ID related to the resource.
          minLength: 1
          maxLength: 20
          pattern: ^[A-Z0-9]+$
        capture_id:
          type: string
          description: Capture ID related to the resource.
          minLength: 1
          maxLength: 20
          pattern: ^[A-Z0-9]+$
    email:
      type: string
      description: >-
        The internationalized email address.<blockquote><strong>Note:</strong>
        Up to 64 characters are allowed before and 255 characters are allowed
        after the <code>@</code> sign. However, the generally accepted maximum
        length for an email address is 254 characters. The pattern verifies that
        an unquoted <code>@</code> sign exists.</blockquote>
      format: merchant_common_email_address_v2
      maxLength: 254
      minLength: 3
      pattern: >-
        (?:[a-zA-Z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[a-zA-Z0-9!#$%&'*+/=?^_`{|}~-]+)*|(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21\x23-\x5b\x5d-\x7f]|\[\x01-\x09\x0b\x0c\x0e-\x7f])*")@(?:(?:[a-zA-Z0-9](?:[a-zA-Z0-9-]*[a-zA-Z0-9])?\.)+[a-zA-Z0-9](?:[a-zA-Z0-9-]*[a-zA-Z0-9])?|\[(?:(?:(2(5[0-5]|[0-4][0-9])|1[0-9][0-9]|[1-9]?[0-9]))\.){3}(?:(2(5[0-5]|[0-4][0-9])|1[0-9][0-9]|[1-9]?[0-9])|[a-zA-Z0-9-]*[a-zA-Z0-9]:(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21-\x5a\x53-\x7f]|\[\x01-\x09\x0b\x0c\x0e-\x7f])+)\])
    account_id:
      type: string
      title: PayPal Account Identifier
      description: The account identifier for a PayPal account.
      format: ppaas_payer_id_v3
      minLength: 13
      maxLength: 13
      pattern: ^[2-9A-HJ-NP-Z]{13}$
    error_location:
      type: string
      description: >-
        The location of the field that caused the error. Value is `body`,
        `path`, or `query`.
      enum:
        - body
        - path
        - query
      default: body
    error_409:
      type: object
      title: Resource Conflict Error
      description: The server has detected a conflict while processing this request.
      properties:
        name:
          type: string
          enum:
            - RESOURCE_CONFLICT
        message:
          type: string
          enum:
            - The server has detected a conflict while processing this request.
        details:
          type: array
          items:
            $ref: '#/components/schemas/error_details'
        debug_id:
          type: string
          description: The PayPal internal ID. Used for correlation purposes.
        links:
          description: >-
            An array of request-related [HATEOAS
            links](https://en.wikipedia.org/wiki/HATEOAS).
          type: array
          minItems: 0
          maxItems: 10000
          items:
            $ref: '#/components/schemas/error_link_description'
    error_415:
      type: object
      title: Unsupported Media Type Error
      description: The server does not support the request payload's media type.
      properties:
        name:
          type: string
          enum:
            - UNSUPPORTED_MEDIA_TYPE
        message:
          type: string
          enum:
            - The server does not support the request payload's media type.
        details:
          type: array
          items:
            $ref: '#/components/schemas/error_details'
        debug_id:
          type: string
          description: The PayPal internal ID. Used for correlation purposes.
        links:
          description: >-
            An array of request-related [HATEOAS
            links](https://en.wikipedia.org/wiki/HATEOAS).
          type: array
          minItems: 0
          maxItems: 10000
          items:
            $ref: '#/components/schemas/error_link_description'
    error_429:
      type: object
      title: Too many requests
      description: Too many requests. Blocked due to rate limiting.
      properties:
        name:
          type: string
          enum:
            - RATE_LIMIT_REACHED
        message:
          type: string
          enum:
            - Too many requests. Blocked due to rate limiting.
        debug_id:
          type: string
          description: The PayPal internal ID. Used for correlation purposes.
    error_500:
      type: object
      title: Internal Server Error
      description: >-
        This is either a system or application error, and generally indicates
        that although the client appeared to provide a correct request,
        something unexpected has gone wrong on the server.
      properties:
        name:
          type: string
          enum:
            - INTERNAL_SERVER_ERROR
        message:
          type: string
          enum:
            - An internal server error occurred.
        debug_id:
          type: string
          description: The PayPal internal ID. Used for correlation purposes.
        links:
          description: >-
            An array of request-related [HATEOAS
            links](https://en.wikipedia.org/wiki/HATEOAS).
          type: array
          minItems: 0
          maxItems: 10000
          items:
            $ref: '#/components/schemas/error_link_description'
      example:
        name: INTERNAL_SERVER_ERROR
        message: An internal server error occurred.
        debug_id: 90957fca61718
        links:
          - href: >-
              https://developer.paypal.com/api/orders/v2/#error-INTERNAL_SERVER_ERROR
            rel: information_link
    error_503:
      type: object
      title: Service Unavailable Error
      description: >-
        The server is temporarily unable to handle the request, for example,
        because of planned maintenance or downtime.
      properties:
        name:
          type: string
          enum:
            - SERVICE_UNAVAILABLE
        message:
          type: string
          enum:
            - Service Unavailable.
        debug_id:
          type: string
          description: The PayPal internal ID. Used for correlation purposes.
        links:
          description: >-
            An array of request-related [HATEOAS
            links](https://en.wikipedia.org/wiki/HATEOAS).
          type: array
          minItems: 0
          maxItems: 10000
          items:
            $ref: '#/components/schemas/error_link_description'
      example:
        name: SERVICE_UNAVAILABLE
        message: Service Unavailable.
        debug_id: 90957fca61718
        information_link: >-
          https://developer.paypal.com/docs/api/orders/v2/#error-SERVICE_UNAVAILABLE
    authorization_status_details:
      title: Authorization Status Details
      description: The details of the authorized payment status.
      type: object
      properties:
        reason:
          title: Authorization Incomplete Reason
          description: The reason why the authorized status is `PENDING`.
          type: string
          minLength: 1
          maxLength: 64
          pattern: ^[A-Z_]+$
          x-enumDescriptions:
            - value: PENDING_REVIEW
              description: Authorization is pending manual review.
            - value: DECLINED_BY_RISK_FRAUD_FILTERS
              description: Risk Filter set by the payee failed for the transaction.
          enum:
            - PENDING_REVIEW
            - DECLINED_BY_RISK_FRAUD_FILTERS
    card_brand:
      type: string
      title: Card Brand
      description: >-
        The card network or brand. Applies to credit, debit, gift, and payment
        cards.
      minLength: 1
      maxLength: 255
      pattern: ^[A-Z_]+$
      x-enumDescriptions:
        - value: VISA
          description: Visa card.
        - value: MASTERCARD
          description: Mastercard card.
        - value: DISCOVER
          description: Discover card.
        - value: AMEX
          description: American Express card.
        - value: SOLO
          description: Solo debit card.
        - value: JCB
          description: Japan Credit Bureau card.
        - value: STAR
          description: Military Star card.
        - value: DELTA
          description: Delta Airlines card.
        - value: SWITCH
          description: Switch credit card.
        - value: MAESTRO
          description: Maestro credit card.
        - value: CB_NATIONALE
          description: Carte Bancaire (CB) credit card.
        - value: CONFIGOGA
          description: Configoga credit card.
        - value: CONFIDIS
          description: Confidis credit card.
        - value: ELECTRON
          description: Visa Electron credit card.
        - value: CETELEM
          description: Cetelem credit card.
        - value: CHINA_UNION_PAY
          description: China union pay credit card.
        - value: DINERS
          description: >-
            The Diners Club International banking and payment services
            capability network owned by Discover Financial Services (DFS), one
            of the most recognized brands in US financial services.
        - value: ELO
          description: The Brazilian Elo card payment network.
        - value: HIPER
          description: The Hiper - Ingenico ePayment network.
        - value: HIPERCARD
          description: >-
            The Brazilian Hipercard payment network that's widely accepted in
            the retail market.
        - value: RUPAY
          description: The RuPay payment network.
        - value: GE
          description: The GE Credit Union 3Point card payment network.
        - value: SYNCHRONY
          description: The Synchrony Financial (SYF) payment network.
        - value: EFTPOS
          description: >-
            The Electronic Fund Transfer At Point of Sale(EFTPOS) Debit card
            payment network.
        - value: CARTE_BANCAIRE
          description: The Carte Bancaire payment network.
        - value: STAR_ACCESS
          description: The Star Access payment network.
        - value: PULSE
          description: The Pulse payment network.
        - value: NYCE
          description: The NYCE payment network.
        - value: ACCEL
          description: The Accel payment network.
        - value: UNKNOWN
          description: UNKNOWN payment network.
      enum:
        - VISA
        - MASTERCARD
        - DISCOVER
        - AMEX
        - SOLO
        - JCB
        - STAR
        - DELTA
        - SWITCH
        - MAESTRO
        - CB_NATIONALE
        - CONFIGOGA
        - CONFIDIS
        - ELECTRON
        - CETELEM
        - CHINA_UNION_PAY
        - DINERS
        - ELO
        - HIPER
        - HIPERCARD
        - RUPAY
        - GE
        - SYNCHRONY
        - EFTPOS
        - CARTE_BANCAIRE
        - STAR_ACCESS
        - PULSE
        - NYCE
        - ACCEL
        - UNKNOWN
    dispute_categories_list:
      type: array
      description: An array of conditions that are covered for the transaction.
      items:
        $ref: '#/components/schemas/dispute_categories'
      readOnly: true
    link_description:
      type: object
      title: Link Description
      description: >-
        The request-related [HATEOAS link](/api/rest/responses/#hateoas-links)
        information.
      required:
        - href
        - rel
      properties:
        href:
          type: string
          description: >-
            The complete target URL. To make the related call, combine the
            method with this [URI
            Template-formatted](https://tools.ietf.org/html/rfc6570) link. For
            pre-processing, include the `$`, `(`, and `)` characters. The `href`
            is the key HATEOAS component that links a completed call with a
            subsequent call.
        rel:
          type: string
          description: >-
            The [link relation
            type](https://tools.ietf.org/html/rfc5988#section-4), which serves
            as an ID for a link that unambiguously describes the semantics of
            the link. See [Link
            Relations](https://www.iana.org/assignments/link-relations/link-relations.xhtml).
        method:
          type: string
          description: The HTTP method required to make the related call.
          enum:
            - GET
            - POST
            - PUT
            - DELETE
            - HEAD
            - CONNECT
            - OPTIONS
            - PATCH
          x-enumDescriptions:
            GET: The HTTP GET method.
            POST: The HTTP POST method.
            PUT: The HTTP PUT method.
            DELETE: The HTTP DELETE method.
            HEAD: The HTTP HEAD method.
            CONNECT: The HTTP CONNECT method.
            OPTIONS: The HTTP OPTIONS method.
            PATCH: The HTTP PATCH method.
    dispute_categories:
      type: string
      description: The condition that is covered for the transaction.
      x-enumDescriptions:
        - value: ITEM_NOT_RECEIVED
          description: The payer paid for an item that they did not receive.
        - value: UNAUTHORIZED_TRANSACTION
          description: The payer did not authorize the payment.
      enum:
        - ITEM_NOT_RECEIVED
        - UNAUTHORIZED_TRANSACTION
  responses:
    default:
      description: The default response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error_default'
  securitySchemes:
    Oauth2:
      type: oauth2
      description: OAuth 2.0 authentication
      flows:
        clientCredentials:
          tokenUrl: /v1/oauth2/token
          scopes:
            https://uri.paypal.com/services/payments/payment/authcapture: >-
              Permission to do non-real time payments like capture on
              authorization
            https://uri.paypal.com/services/payments/refund: Permission to initiate a refund on a capture transaction
            https://uri.paypal.com/services/payments/non-referenced-credit: Permission to initiate non referenced credit
            https://uri.paypal.com/services/payments/realtimepayment: >-
              Permission to do any real time payment, with support for
              sale/authorize/order intents
            https://uri.paypal.com/services/payments/reversepayment: Permission to do any reverse payment
            https://uri.paypal.com/services/payments/payments-ready: Permission to get information about payment readiness.
            Braintree:PaymentsReady: Permission to call PaymentsReady via BrainTree SDK.
            https://uri.paypal.com/services/payments/client-payments-eligibility: >-
              Permission to get information about merchant's eligible payment
              methods.

````